Bug 614408 - perl-Archive-Tar-1.39.1-1.el5_5.1.noarch.rpm breaks /usr/bin/sa-update
Summary: perl-Archive-Tar-1.39.1-1.el5_5.1.noarch.rpm breaks /usr/bin/sa-update
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl-Archive-Tar   
(Show other bugs)
Version: 5.5.z
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Martin Cermak
URL:
Whiteboard:
Keywords: EasyFix, Regression, ZStream
Depends On: 612879
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 12:45 UTC by RHEL Product and Program Management
Modified: 2010-11-22 23:39 UTC (History)
16 users (show)

Fixed In Version: perl-Archive-Tar-1.39.1-1.el5_5.2
Doc Type: Bug Fix
Doc Text:
When using the Archive::Tar Perl module, when the $VERSION variable was referenced, a warning message similar to the following was printed to standard output: Argument "1.39_01" isn't numeric in subroutine entry at -e line 1. This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message. Note: this regression was caused by a change to the module's version number, and was introduced by the RHSA-2010:0505 perl-Archive-Tar security update.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 14:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0595 normal SHIPPED_LIVE perl-Archive-Tar bug fix update 2010-08-04 14:48:20 UTC

Description RHEL Product and Program Management 2010-07-14 12:45:21 UTC
This bug has been copied from bug #612879 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 5 Florian Nadge 2010-07-14 15:05:10 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Warnings about the wrong release version of the package were printed on standard error output. This package corrects this warning.

Comment 6 Douglas Silas 2010-07-26 14:11:08 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,5 @@
-Warnings about the wrong release version of the package were printed on standard error output. This package corrects this warning.+When using the Archive::Tar Perl module, when the $VERSION variable was referenced, a warning message similar to the following was printed to standard output:
+
+  Argument "1.39_01" isn't numeric in subroutine entry at -e line 1.
+
+This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message.

Comment 7 Douglas Silas 2010-07-26 14:12:30 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -2,4 +2,6 @@
 
   Argument "1.39_01" isn't numeric in subroutine entry at -e line 1.
 
-This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message.+This was caused by the presence of an underscore in the $VERSION variable. With this update, the Archive::Tar module no longer outputs this warning message.
+
+Note: this regression was caused by a change to the module's version number, and was introduced by the RHSA-2010:0505 perl-Archive-Tar security update.

Comment 11 errata-xmlrpc 2010-08-04 14:48:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0595.html


Note You need to log in before you can comment on or make changes to this bug.